// NWCreate-LiNwcAPI.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "nwcreate/LiNwcAll.h"

void doExport()
{
   LtWideString wfilename  = L"C:\\test1.nwc";
   LtNwcScene scene;   
   LtNwcGeometry geom; 
   LtNwcGeometryStream stream;

   //create scene and geometry
   scene = LiNwcSceneCreate();
   geom = LiNwcGeometryCreate();

   //open geometry stream, draw a triangle, close stream
   stream = LiNwcGeometryOpenStream(geom);

   LiNwcGeometryStreamBegin (stream, 0);    
   LiNwcGeometryStreamTriangleVertex(stream, 1, 0, 0);
   LiNwcGeometryStreamTriangleVertex(stream, 2, 0, 10); 
   LiNwcGeometryStreamTriangleVertex(stream, 3, 10, 10);
   LiNwcGeometryStreamEnd(stream);    

   LiNwcGeometryCloseStream( geom, stream);
   
   //add the geometry to the scene and cleanup geom
   LiNwcSceneAddNode (scene, geom);
   LiNwcGeometryDestroy(geom);
      
   //write out the NWC file
   LiNwcSceneWriteCacheEx(scene, wfilename, wfilename, 0, 0); 
   //destroy the scene
   LiNwcSceneDestroy(scene);
}


int _tmain(int argc, _TCHAR* argv[])
{
	// Initialise low-level API first. 
   LiNwcApiErrorInitialise();

   // Then initialise the rest of the API. 
    switch (LiNwcApiInitialise())
   {
   case LI_NWC_API_OK:
        doExport();
      break;
   case LI_NWC_API_NOT_LICENSED:
      printf("Not Licensed\n");
      return 1;

   case LI_NWC_API_INTERNAL_ERROR:
   default:
      printf("Internal Error\n");
      return 1;
   } 
   LiNwcApiTerminate();
   
 


	return 0;
}

