﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace NetAuto_CS
{
    class Program
    {
        static void Main(string[] args)
        {
            string oFirstFile = args[0];
            string oSecondFile = args[1];

            Autodesk.Navisworks.Api.Automation.NavisworksApplication automationApplication = null;

            try
            {
                //create NavisworksApplication automation object
                automationApplication =
                   new Autodesk.Navisworks.Api.Automation.NavisworksApplication();
                
                automationApplication.Visible = false;
                automationApplication.OpenFile(oFirstFile);
                automationApplication.AppendFile(oSecondFile);
                automationApplication.ExecuteAddInPlugin("NetAddIn-CS.ADSK","NetAuto-CS");
                automationApplication.SaveFile(@"C:\test\Combined.nwd");

            }
            catch (Autodesk.Navisworks.Api.Automation.AutomationException e)
            {
                //An error occurred, display it to the user
                System.Windows.Forms.MessageBox.Show("Error: " + e.Message);
            }
            catch (Autodesk.Navisworks.Api.Automation.AutomationDocumentFileException e)
            {
                //An error occurred, display it to the user
                System.Windows.Forms.MessageBox.Show("Error: " + e.Message);
            }
            finally
            {
                if (automationApplication != null)
                {
                    automationApplication.Dispose();
                    automationApplication = null;
                }
            }

        }
    }
}
